# Class CIM_FCPort
extends CIM_NetworkPort

Capabilities and management of a Fibre Channel Port Device.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_LogicalDevice
|
+--CIM_LogicalPort
|
+--CIM_NetworkPort
|
+--CIM_FCPort

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | Capabilities and management of a Fibre Channel Port Device.
UMLPackagePath | string | CIM::Device::FC
Version | string | 2.10.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
PortType | uint16 |

Description

string

The specific mode currently enabled for the Port. If the port is logged in, this will be the negotiated port type, otherwise the configured port type will be reported. The values: "N" = Node Port, "NL" = Node Port supporting FC arbitrated loop, "NX" = Port may negotiate to become either a node port (N) or a node port supporting FC arbitrated loop (NL), "E" = Expansion Port connecting fabric elements (for example, FC switches), "F" = Fabric (element) Port, "FL" = Fabric (element) Port supporting FC arbitrated loop, "FX" = Port may negotiate to become a fabric port (F), or a fabric port supporting FC arbitrated loop (FL). "B" = Bridge port, and "G" = Port may negotiate to become either an expansion port (E), or a fabric port (F), "GL" = Port may negotiate to become an expansion port (E), a fabric port (F), or a fabric port supporting FC arbitrated loop (FL). PortTypes are defined in the ANSI X3 standards. When set to 1 ("Other"), the related property OtherPortType contains a string description of the type of port.

ModelCorrespondence | string | CIM_NetworkPort.OtherNetworkPortType
Override | string | PortType
ValueMap | string | 0, 1, 10, 11, 12, 13, 14, 15, 16, 17, 18, 16000..65535
Values | string | Unknown, Other, N, NL, F/NL, Nx, E, F, FL, B, G, Vendor Reserved
ActiveCOS | uint16[] |
Description | string | An array of integers that indicates the Classes of Service that are active. The Active COS is indicated in ActiveCOS.
ModelCorrespondence | string | CIM_FCPort.SupportedCOS
ValueMap | string | 0, 1, 2, 3, 4, 5, 6, 7
Values | string | Unknown, 1, 2, 3, 4, 5, 6, F
ActiveFC4Types | uint16[] |
Description | string | An array of integers that indicates the Fibre Channel FC-4 protocols currently running. A list of all supported protocols is indicated in the SupportedFC4Types property.
ModelCorrespondence | string | CIM_FCPort.SupportedFC4Types
ValueMap | string | 0, 1, 4, 5, 8, 9, 17, 18, 19, 21, 22, 23, 25, 26, 27, 28, 32, 34, 36, 64, 80, 81, 82, 88, 96, 255

Values

string

Unknown, Other, ISO/IEC 8802 - 2 LLC, IP over FC, SCSI - FCP, SCSI - GPP, IPI - 3 Master, IPI - 3 Slave, IPI - 3 Peer, CP IPI - 3 Master, CP IPI - 3 Slave, CP IPI - 3 Peer, SBCCS Channel, SBCCS Control Unit, FC-SB-2 Channel, FC-SB-2 Control Unit, Fibre Channel Services (FC-GS, FC-GS-2, FC-GS-3), FC-SW, FC - SNMP, HIPPI - FP, BBL Control, BBL FDDI Encapsulated LAN PDU, BBL 802.3 Encapsulated LAN PDU, FC - VI, FC - AV, Vendor Unique

SupportedCOS | uint16[] |
Description | string | An array of integers that indicates the Fibre Channel Classes of Service that are supported. The active COS are indicated in ActiveCOS.
ValueMap | string | 0, 1, 2, 3, 4, 5, 6, 7
Values | string | Unknown, 1, 2, 3, 4, 5, 6, F
SupportedFC4Types | uint16[] |
Description | string | An array of integers that indicates the Fibre Channel FC-4 protocols supported. The protocols that are active and running are indicated in the ActiveFC4Types property.
ValueMap | string | 0, 1, 4, 5, 8, 9, 17, 18, 19, 21, 22, 23, 25, 26, 27, 28, 32, 34, 36, 64, 80, 81, 82, 88, 96, 255

Values

string

Unknown, Other, ISO/IEC 8802 - 2 LLC, IP over FC, SCSI - FCP, SCSI - GPP, IPI - 3 Master, IPI - 3 Slave, IPI - 3 Peer, CP IPI - 3 Master, CP IPI - 3 Slave, CP IPI - 3 Peer, SBCCS Channel, SBCCS Control Unit, FC-SB-2 Channel, FC-SB-2 Control Unit, Fibre Channel Services (FC-GS, FC-GS-2, FC-GS-3), FC-SW, FC - SNMP, HIPPI - FP, BBL Control, BBL FDDI Encapsulated LAN PDU, BBL 802.3 Encapsulated LAN PDU, FC - VI, FC - AV, Vendor Unique

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
ActiveMaximumTransmissionUnit | uint64 | CIM_NetworkPort
AutoSense | boolean | CIM_NetworkPort
Availability | uint16 | CIM_LogicalDevice
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_LogicalDevice
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
DeviceID | string | CIM_LogicalDevice
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
ErrorCleared | boolean | CIM_LogicalDevice
ErrorDescription | string | CIM_LogicalDevice
FullDuplex | boolean | CIM_NetworkPort
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
LastErrorCode | uint32 | CIM_LogicalDevice
LinkTechnology | uint16 | CIM_NetworkPort
MaxQuiesceTime | uint64 | CIM_LogicalDevice
MaxSpeed | uint64 | CIM_LogicalPort
Name | string | CIM_ManagedSystemElement
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
OtherLinkTechnology | string | CIM_NetworkPort
OtherNetworkPortType | string | CIM_NetworkPort
OtherPortType | string | CIM_LogicalPort
PermanentAddress | string | CIM_NetworkPort
PortNumber | uint16 | CIM_NetworkPort
PowerManagementSupported | boolean | CIM_LogicalDevice
PowerOnHours | uint64 | CIM_LogicalDevice
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedSpeed | uint64 | CIM_LogicalPort
RequestedState | uint16 | CIM_EnabledLogicalElement
Speed | uint64 | CIM_NetworkPort
Status | string | CIM_ManagedSystemElement
StatusInfo | uint16 | CIM_LogicalDevice
SupportedMaximumTransmissionUnit | uint64 | CIM_NetworkPort
SystemCreationClassName | string | CIM_LogicalDevice
SystemName | string | CIM_LogicalDevice
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TotalPowerOnHours | uint64 | CIM_LogicalDevice
TransitioningToState | uint16 | CIM_EnabledLogicalElement
UsageRestriction | uint16 | CIM_LogicalPort
AdditionalAvailability | uint16[] | CIM_LogicalDevice
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
IdentifyingDescriptions | string[] | CIM_LogicalDevice
NetworkAddresses | string[] | CIM_NetworkPort
OperationalStatus | uint16[] | CIM_ManagedSystemElement
OtherIdentifyingInfo | string[] | CIM_LogicalDevice
PowerManagementCapabilities | uint16[] | CIM_LogicalDevice
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
EnableDevice | uint32 | CIM_LogicalDevice
OnlineDevice | uint32 | CIM_LogicalDevice
QuiesceDevice | uint32 | CIM_LogicalDevice
RequestStateChange | uint32 | CIM_EnabledLogicalElement
Reset | uint32 | CIM_LogicalDevice
RestoreProperties | uint32 | CIM_LogicalDevice
SaveProperties | uint32 | CIM_LogicalDevice
SetPowerState | uint32 | CIM_LogicalDevice